Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryBTreeDatabase Class
Members See Also Send Feedback

A class representing a SecondaryBTreeDatabase. The Btree format is a representation of a sorted, balanced tree structure.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public class SecondaryBTreeDatabase : SecondaryDatabase

Visual Basic (Declaration)
    Public Class SecondaryBTreeDatabase _
    	Inherits SecondaryDatabase

Visual C++
    public ref class SecondaryBTreeDatabase : public SecondaryDatabase

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.SecondaryDatabase
BerkeleyDB..::.SecondaryBTreeDatabase

# See Also

SecondaryBTreeDatabase Members
BerkeleyDB Namespace